## gf-complete 1.0.2

=== debian/changelog ===
gf-complete (1.0.2-2) unstable; urgency=medium

  * Team upload.
  * Resync with Ubuntu.
  * Updates for Ubuntu MIR:
    - d/control,copyright: Update upstream location to jerasure.org.
    - d/rules: Enable parallel build.
    - d/rules: Enable unit test execution.
    - d/control: Add Multi-Arch: same for libgf-complete{1,-dev}.
    - d/control: Add gf-complete-tools package, providing misc
      tooling for using/testing gf-complete based solutions such
      as jerasure.
  * d/control: Bumped Standards-Version to 3.9.6, no changes.
  * d/copyright: Switch BSD -> BSD-3-clause.

 -- James Page <james.page@ubuntu.com>  Thu, 17 Sep 2015 12:16:10 +0100

gf-complete (1.0.2-1) unstable; urgency=low

  * Initial release (Closes: #750713).

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 May 2014 16:35:49 +0800
