=== debian/control ===
Source: gf-complete
Section: libs
Priority: extra
Maintainer: Thomas Goirand <zigo@debian.org>
Build-Depends: autoconf-archive,
               autotools-dev,
               debhelper (>= 9),
               dh-autoreconf,
Standards-Version: 3.9.6
Homepage: http://jerasure.org/
Vcs-Git: git://anonscm.debian.org/openstack/gf-complete.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/gf-complete.git;a=summary

Package: libgf-complete-dev
Section: libdevel
Architecture: any
Depends: libgf-complete1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: Galois Field Arithmetic - development files
 Galois Field arithmetic forms the backbone of erasure-coded storage systems,
 most famously the Reed-Solomon erasure code. A Galois Field is defined over
 w-bit words and is termed GF(2w). As such, the elements of a Galois Field are
 the integers 0, 1, . . ., 2^w − 1. Galois Field arithmetic defines addition
 and multiplication over these closed sets of integers in such a way that they
 work as you would hope they would work. Specifically, every number has a
 unique multiplicative inverse. Moreover, there is a value, typically the value
 2, which has the property that you can enumerate all of the non-zero elements
 of the field by taking that value to successively higher powers.
 .
 This package contains the development files needed to build against the shared
 library.

Package: libgf-complete1
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: Galois Field Arithmetic - shared library
 Galois Field arithmetic forms the backbone of erasure-coded storage systems,
 most famously the Reed-Solomon erasure code. A Galois Field is defined over
 w-bit words and is termed GF(2w). As such, the elements of a Galois Field are
 the integers 0, 1, . . ., 2^w − 1. Galois Field arithmetic defines addition
 and multiplication over these closed sets of integers in such a way that they
 work as you would hope they would work. Specifically, every number has a
 unique multiplicative inverse. Moreover, there is a value, typically the value
 2, which has the property that you can enumerate all of the non-zero elements
 of the field by taking that value to successively higher powers.
 .
 This package contains the shared library.

Package: gf-complete-tools
Architecture: any
Depends: libgf-complete1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Galois Field Arithmetic - tools
 Galois Field arithmetic forms the backbone of erasure-coded storage systems,
 most famously the Reed-Solomon erasure code. A Galois Field is defined over
 w-bit words and is termed GF(2w). As such, the elements of a Galois Field are
 the integers 0, 1, . . ., 2^w − 1. Galois Field arithmetic defines addition
 and multiplication over these closed sets of integers in such a way that they
 work as you would hope they would work. Specifically, every number has a
 unique multiplicative inverse. Moreover, there is a value, typically the value
 2, which has the property that you can enumerate all of the non-zero elements
 of the field by taking that value to successively higher powers.
 .
 This package contains miscellaneous tools for working with gf-complete.
