## gf-complete 1.0.2+2017.04.10.git.ea75cdf

=== debian/changelog ===
gf-complete (1.0.2+2017.04.10.git.ea75cdf-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062107

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 17:31:58 +0000
